import request from '@/utils/request'

// 查询海关注册信息列表
export function listInformation(query) {
  return request({
    url: '/crmCustomsRegistrationInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询海关注册信息详细
export function getInformation(id) {
  return request({
    url: '/crmCustomsRegistrationInformation/information/' + id,
    method: 'get'
  })
}

// 新增海关注册信息
export function addInformation(data) {
  return request({
    url: '/crmCustomsRegistrationInformation/information',
    method: 'post',
    data: data
  })
}

// 修改海关注册信息
export function updateInformation(data) {
  return request({
    url: '/crmCustomsRegistrationInformation/information',
    method: 'put',
    data: data
  })
}

// 删除海关注册信息
export function delInformation(id) {
  return request({
    url: '/crmCustomsRegistrationInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmCustomsRegistrationInformation/delete',ids)
}

